NT(1)

NAME
nt - A download manager for X

SYNOPSYS
nt [OPTIONS] ... [URL]

DESCRIPTION
nt (also known as Downloader for X) is a Linux GUI program for downloading files from the Internet. It supports FTP and HTTP (not completly yet but the current implementation is quite enough for downloading). The program will resume interupted downloads if the server supports it too. nt is like kget for Linux and ReGet or GetRight for Microsoft Windows (tm).

OPTIONS
Options are distinguished from URLs in that they begin with a minus sign (-). One may specify any number of options and URLs. Many of the options can be used to control a pre-existing instance of nt. When nt finds an instance of itself already running, it will forward the command to the already running instance for execution. If there no pre-existing instance is found, then it will perform the requested operations itself. The command line will be parsed from left to right. This means that the requested operations will be performed in that order.

nt accepts the following options:

URL Add the indicated file to the download queue. A dialog box will appear in which you can indicate where the file should be saved and set other options. If nt is already running, then the new instance will simply ask the existing instance to add the file and then it will exit. If existing instance already have this URL in queue in inactive state than it will be moved to *wait* state.

-h, --help
    Print a brief description of the command line options and exit.

-v, --version
    Show the version number and exit.

-i, --info
    Show basic information about current state of a pre-existing instance of the program.

-s, --speed
    Show current achieved download speed of a pre-existing instance of the program. The speed is a part of information which is displayed by --info.

--minimized
    Start Downloader in the minimized (iconified) state. This will not minimize a pre-existing instance of the program.

--exit-time minutes
    Set the timeout for exiting when the program is idle.

-t1, --traffic-low
    Switch to low speed.

-t2, --traffic-medium
    Switch to medium speed.

-t3, --traffic-high
    Disable speed limit.

-d, --directory PATH
    Set directory for saving downloaded files. This applies only to files added to an pre-existing instance by running the nt command with URLs on the command line.

-c, --delete-completed
    Remove completed downloads from the queue.

-r, --rerun-failed
    Rerun all failed downloads.

-w, --without-face
    Start Downloader without X interface. (It will display the log on stdout but there will be no user interface of any kind. The only way to control it is by running nt with appropriate options.)

-m, --max-running integer
    Set the maximum total number of active downloads for current queue.

--ls [integer | URL]
    Display tree of queues, queue listing or information about separate URL.

--switch integer
    Change current queue. Queue number must be specified as it displayed by --ls command line parameter

--color
    Use colors in main log when run without interface. This option has no effect when Downloader was run with X interface.

-geometry [WIDTHxHEIGHT][+X][+Y]
    Specify geometry of main window. Programm will ignore stored position and size of the main window if this option is specified.

--del URL
    Remove URL from programs's queues.

--stop URL
    Stop downloading file. You can continue downloading this file by specifying the same URL as command line parameter.

COPYRIGHT
Copyright (C) 1999-2002, Maxim Koshelev <chuchelo@krasu.ru> This program is released under the Artistic license ; please see /usr/share/common-licenses/Artistic for the complete text of the Artistic license.

SUGGESTIONS AND BUG REPORTS
Go to http://www.krasu.ru/soft/chuchelo/

AUTHOR
This manual page was written by Julien BLACHE <jblache@debian.org>, for the Debian GNU/Linux system (but may be used by others). Updated by Maxim Koshelev <mdem@chat.ru>. Updated by David Chappell <David.Chappell@mail.trincoll.edu>.